Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(17)  |  Call(17)  |  Derive(0)  |  Import(0)

src/l/a/ladybug-HEAD/src/Ladybug_ShadingDesigner.py   ladybug(Download)
            P2 = rc.Geometry.Plane(originalPlane)
            P2.XAxis = axis.UnitTangent
            P2.YAxis = rc.Geometry.Vector3d.CrossProduct(P2.XAxis, P2.ZAxis)
 
            beta = 0.5 * math.pi - angle
        if tangantVec!= rc.Geometry.Vector3d.ZAxis:
            cVector = rc.Geometry.Vector3d.ZAxis
            refVector = rc.Geometry.Vector3d.CrossProduct(tangantVec, rc.Geometry.Vector3d.ZAxis)
        elif tangantVec!= rc.Geometry.Vector3d.YAxis:
            cVector = rc.Geometry.Vector3d.YAxis
            refVector = rc.Geometry.Vector3d.CrossProduct(tangantVec, rc.Geometry.Vector3d.YAxis)
        elif tangantVec!= rc.Geometry.Vector3d.XAxis:
            cVector = rc.Geometry.Vector3d.XAxis
            refVector = rc.Geometry.Vector3d.CrossProduct(tangantVec, rc.Geometry.Vector3d.XAxis)
        for srf in sortedFaces:
            localTangantVec = intCrv.TangentAt(intCrv.ClosestPoint(getSrfPlane(srf).Origin)[1])
            localRefVector = rc.Geometry.Vector3d.CrossProduct(localTangantVec, cVector)
            localRefAngle = rc.Geometry.Vector3d.VectorAngle(getSrfPlane(srf).Normal, localRefVector)
            #print rc.Geometry.Vector3d.VectorAngle(refVector, localRefVector)

src/l/a/ladybug-HEAD/src/Ladybug_Bounce from Surface.py   ladybug(Download)
                        lastVector.Unitize()
 
                        crossProductNormal = rc.Geometry.Vector3d.CrossProduct(intNormal, lastVector)
 
                        plane = rc.Geometry.Plane(intPts[-1], intNormal, crossProductNormal)

src/l/a/ladybug-HEAD/src/Ladybug_SolarFan.py   ladybug(Download)
            P2 = rc.Geometry.Plane(originalPlane)
            P2.XAxis = axis.UnitTangent
            P2.YAxis = rc.Geometry.Vector3d.CrossProduct(P2.XAxis, P2.ZAxis)
 
            beta = 0.5 * math.pi - angle

src/l/a/ladybug-HEAD/src/Ladybug_SolarEnvelope.py   ladybug(Download)
            P2 = rc.Geometry.Plane(originalPlane)
            P2.XAxis = axis.UnitTangent
            P2.YAxis = rc.Geometry.Vector3d.CrossProduct(P2.XAxis, P2.ZAxis)
 
            beta = 0.5 * math.pi - angle

src/l/a/ladybug-HEAD/src/Ladybug_Shadow Study.py   ladybug(Download)
            P2 = rc.Geometry.Plane(originalPlane)
            P2.XAxis = axis.UnitTangent
            P2.YAxis = rc.Geometry.Vector3d.CrossProduct(P2.XAxis, P2.ZAxis)
 
            beta = 0.5 * math.pi - angle

src/r/h/rhinopython-HEAD/scripts/rhinoscript/pointvector.py   rhinopython(Download)
    vector1 = rhutil.coerce3dvector(vector1, True)
    vector2 = rhutil.coerce3dvector(vector2, True)
    return Rhino.Geometry.Vector3d.CrossProduct( vector1, vector2 )
 
 

src/l/a/ladybug-HEAD/src/Ladybug_Forward Raytracing.py   ladybug(Download)
                        lastVector.Unitize()
 
                        crossProductNormal = rc.Geometry.Vector3d.CrossProduct(intNormal, lastVector)
 
                        plane = rc.Geometry.Plane(intPts[-1], intNormal, crossProductNormal)

src/r/h/rhinopython-HEAD/scripts/rhinoscript/plane.py   rhinopython(Download)
        xaxis = Rhino.Geometry.Vector3d(xaxis)#prevent original xaxis parameter from being unitized too
        xaxis.Unitize()
        yaxis = Rhino.Geometry.Vector3d.CrossProduct(rc.Normal, xaxis)
        rc = Rhino.Geometry.Plane(origin, xaxis, yaxis)
    return rc

src/r/h/rhinopython-HEAD/scripts/rhinoscript/object.py   rhinopython(Download)
    if vec.IsTiny(0): raise Exception("start and end points are too close to each other")
    normal = scriptcontext.doc.Views.ActiveView.ActiveViewport.ConstructionPlane().Normal
    vec = Rhino.Geometry.Vector3d.CrossProduct(vec, normal)
    vec.Unitize()
    xf = Rhino.Geometry.Transform.Mirror(start_point, vec)
    yaxis.Unitize()
    frame.YAxis = yaxis
    xaxis = Rhino.Geometry.Vector3d.CrossProduct(frame.ZAxis, frame.YAxis)
    xaxis.Unitize()
    frame.XAxis = xaxis

src/l/a/ladybug-HEAD/src/Ladybug_Set the View.py   ladybug(Download)
        v= uvLookAround.Y * PI
        cameraDirection.Rotate(u, rc.Geometry.Vector3d.ZAxis)
        cameraDirection.Rotate(v, rc.Geometry.Vector3d.CrossProduct(cameraDirection, rc.Geometry.Vector3d.ZAxis))
 
    target = rc.Geometry.Point3d.Add(cameraLocation, distance * cameraDirection)

  1 | 2  Next